module Comparator(A,B,GT,LT,EQ);
input [15:0] A;
input [15:0] B;
output GT,LT,EQ;
reg GT,LT,EQ;

always @ (A or B) begin
	if(A<B) begin
		LT <= 1;
	end
	else	begin
		LT <= 0;
	end

	if(A>B) begin
		GT <= 1;
	end
	else	begin
		GT <= 0;
	end

	if(A==B) begin
		EQ <= 1;
	end
	else begin
		EQ <= 0;
	end
end


endmodule
